# Uses of Interface
org.eclipse.ecf.discovery.IServiceListener

Packages that use IServiceListener
Package
Description
org.eclipse.ecf.discovery
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.zookeeper.core

## Uses of IServiceListener in org.eclipse.ecf.discovery

Methods in org.eclipse.ecf.discovery with parameters of type IServiceListener
Modifier and Type
Method
Description
`void`
AbstractDiscoveryContainerAdapter.`addServiceListener(IServiceTypeID aType, IServiceListener aListener)`
`void`
AbstractDiscoveryContainerAdapter.`addServiceListener(IServiceListener aListener)`
`void`
IDiscoveryLocator.`addServiceListener(IServiceTypeID type, IServiceListener listener)`
Add a service listener.
`void`
IDiscoveryLocator.`addServiceListener(IServiceListener listener)`
Add a service listener.
`void`
AbstractDiscoveryContainerAdapter.`removeServiceListener(IServiceTypeID aType, IServiceListener aListener)`
`void`
AbstractDiscoveryContainerAdapter.`removeServiceListener(IServiceListener aListener)`
`void`
IDiscoveryLocator.`removeServiceListener(IServiceTypeID type, IServiceListener listener)`
Remove a service listener.
`void`
IDiscoveryLocator.`removeServiceListener(IServiceListener listener)`
Remove a service listener.

## Uses of IServiceListener in org.eclipse.ecf.provider.jslp.container

Methods in org.eclipse.ecf.provider.jslp.container with parameters of type IServiceListener
Modifier and Type
Method
Description
`void`
JSLPDiscoveryContainer.`addServiceListener(IServiceTypeID type, IServiceListener listener)`
`void`
JSLPDiscoveryContainer.`addServiceListener(IServiceListener listener)`

## Uses of IServiceListener in org.eclipse.ecf.provider.zookeeper.core

Methods in org.eclipse.ecf.provider.zookeeper.core that return types with arguments of type IServiceListener
Modifier and Type
Method
Description
`Collection<IServiceListener>`
ZooDiscoveryContainer.`getAllServiceListeners()`
`Collection<IServiceListener>`
ZooDiscoveryContainer.`getServiceListenersForType(IServiceTypeID type)`